summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMoonchild <mcwerewolf@gmail.com>2018-05-28 03:36:50 +0200
committerGitHub <noreply@github.com>2018-05-28 03:36:50 +0200
commitc8409cc60bd54586e4a484c7ad15a2c408198dd7 (patch)
treeeda326749d3c917892abdd9d1c2719937f3faf73
parentc3fc250b0ccc71542d7838ff7395350992b65afa (diff)
parent7a26ade0a65a3aebb184d9b6a22a2b16823da130 (diff)
downloadUXP-c8409cc60bd54586e4a484c7ad15a2c408198dd7.tar
UXP-c8409cc60bd54586e4a484c7ad15a2c408198dd7.tar.gz
UXP-c8409cc60bd54586e4a484c7ad15a2c408198dd7.tar.lz
UXP-c8409cc60bd54586e4a484c7ad15a2c408198dd7.tar.xz
UXP-c8409cc60bd54586e4a484c7ad15a2c408198dd7.zip
Merge pull request #397 from trav90/buildsystem-work
Only display SSE2 error dialog on 32-bit Linux
-rw-r--r--application/palemoon/confvars.sh8
-rwxr-xr-xbrowser/confvars.sh8
2 files changed, 10 insertions, 6 deletions
diff --git a/application/palemoon/confvars.sh b/application/palemoon/confvars.sh
index d1d2ce065..fbd412eb5 100644
--- a/application/palemoon/confvars.sh
+++ b/application/palemoon/confvars.sh
@@ -98,9 +98,11 @@ if test "$OS_ARCH" = "WINNT" -o \
MOZ_BUNDLED_FONTS=1
fi
-# Display an error on non-SSE2 Linux systems
-if test "$OS_ARCH" = "Linux"; then
- MOZ_LINUX_SSE2_STARTUP_ERROR=1
+# Display an error on non-SSE2 32-bit Linux systems
+if ! test "$HAVE_64BIT_BUILD"; then
+ if test "$OS_ARCH" = "Linux"; then
+ MOZ_LINUX_SSE2_STARTUP_ERROR=1
+ fi
fi
# Short-circuit a few services to be removed
diff --git a/browser/confvars.sh b/browser/confvars.sh
index e8b911da3..3135f6b63 100755
--- a/browser/confvars.sh
+++ b/browser/confvars.sh
@@ -18,9 +18,11 @@ if test "$OS_ARCH" = "WINNT"; then
MOZ_MAINTENANCE_SERVICE=
fi
-# Display an error on non-SSE2 Linux systems
-if test "$OS_ARCH" = "Linux"; then
- MOZ_LINUX_SSE2_STARTUP_ERROR=1
+# Display an error on non-SSE2 32-bit Linux systems
+if ! test "$HAVE_64BIT_BUILD"; then
+ if test "$OS_ARCH" = "Linux"; then
+ MOZ_LINUX_SSE2_STARTUP_ERROR=1
+ fi
fi
# For Basilisk we want to use 52.9.YYYY.MM.DD as MOZ_APP_VERSION in release